# libmikmod rpm specification file
%define lversion 3.1.8

Summary: A MOD music file player.
Name:		mikmod
Version:	3.1.6
Release:	6
Copyright:	LGPL
Group: Applications/Multimedia
URL:		http://mikmod.darkorb.net/
PreReq:		/sbin/install-info
Prefix:		/usr
Buildroot:	/var/tmp/mikmod-%{PACKAGE_VERSION}

Source0: http://mikmod.darkorb.net/mikmod/mikmod-%{PACKAGE_VERSION}.tar.gz

Source1: http://mikmod.darkorb.net/mikmod/libmikmod-%{lversion}.tar.gz
Patch5:  patch-mikmod-3.1.6-a

Obsoletes: tracker
Requires: ncurses

%description
MikMod is one of the best and most well known MOD music file players
for UNIX-like systems.  This particular distribution is intended to
compile fairly painlessly in a Linux environment. MikMod uses the OSS
/dev/dsp driver including all recent kernels for output, and will also
write .wav files. Supported file formats include MOD, STM, S3M, MTM,
XM, ULT, and IT.  The player uses ncurses for console output and
supports transparent loading from gzip/pkzip/zoo archives and the
loading/saving of playlists.

Install the mikmod package if you need a MOD music file player.

%prep
%setup -q -a 1 
%patch5 -p1 -b .orig

%build
rm -rf $RPM_BUILD_ROOT
cd libmikmod-%{lversion}
%configure
make
make install prefix=$RPM_BUILD_ROOT/%{prefix}
cd ..

env LD_LIBRARY_PATH=$RPM_BUILD_ROOT/usr/lib %configure \
	--with-libmikmod-prefix=$RPM_BUILD_ROOT/usr
make
gzip -9f $RPM_BUILD_ROOT%{prefix}/info/*

%install
make prefix=$RPM_BUILD_ROOT/%{prefix} install

%clean
rm -fr $RPM_BUILD_ROOT

%post
/sbin/install-info %{prefix}/info/mikmod.info.gz %{prefix}/info/dir
/sbin/ldconfig

%postun 
if [ $1 = 0 ] ; then
	/sbin/install-info  --delete %{prefix}/info/mikmod.info.gz %{prefix}/info/dir
fi
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL NEWS README
%{prefix}/bin/*
%{prefix}/man/man1/*
%{prefix}/info/mikmod*
%{prefix}/lib/*
%{prefix}/share/aclocal/*
%{prefix}/include/*
%doc libmikmod-%{version}/PROBLEMS libmikmod-%{version}/TODO 

%changelog
* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- gzip info page (Bug #9035)
- Update URL and Source fields to present location

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description
- get rid of useless defines

* Tue Jan 11 2000 Bill Nottingham <notting@redhat.com>
- update lib to 3.1.8

* Mon Aug  2 1999 Bill Nottingham <notting@redhat.com>
- add more patches

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- update to 3.1.6/3.1.7

* Mon Mar 22 1999 Cristian Gafton <gafton@redhat.com>
- fixed spec file description and group according to sepcspo

* Mon Mar 22 1999 Michael Maher <mike@redhat.com>
- changed spec file, updated package
- added libmikmod to the package

* Mon Feb 15 1999 Miodrag Vallat <miodrag@multimania.com>
- Created for 3.1.5

* Tue Jan 24 1999 Michael Maher <mike@redhat.com>
- changed group
- fixed bug #145

* Fri Sep 04 1998 Michael Maher <mike@redhat.com>
- added patch for alpha

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- built package; obsoletes the ancient tracker program.

